Summary: The GNU macro processor.
Name: m4
Version: 1.4
Release: 21m
License: GPL
Group: Applications/Text
URL: http://www.gnu.org/software/m4/
Source: ftp://ftp.gnu.org/pub/gnu/%{name}/%{name}-%{version}.tar.gz
Patch0: m4-1.4-glibc.patch
Patch1: m4-formatfix.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Prereq: info
NoSource: 0

%description
A GNU implementation of the traditional UNIX macro processor.  M4 is
useful for writing text files which can be logically parsed, and is used
by many programs as part of their build process.  M4 has built-in
functions for including files, running shell commands, doing arithmetic,
etc.  The autoconf program needs m4 for generating configure scripts, but
not for running configure scripts.

Install m4 if you need a macro processor.

%prep
rm -rf %{buildroot}

%setup -q
%patch0 -p1 -b .glibc
%patch1 -p1 -b .format

%build
./configure --prefix=%{_prefix}
make LDFLAGS=-s

%install
%makeinstall

%files
%defattr(-,root,root)
%doc NEWS README
%{_bindir}/m4
%{_infodir}/*

%post
/sbin/install-info %{_infodir}/m4.info.* %{_infodir}/dir

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --delete %{_infodir}/m4.info.* %{_infodir}/dir
fi

%clean
rm -rf %{buildroot}

%changelog
* Mon Dec 2 2002 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.4-21m)
- change URL to http://www.gnu.org/software/m4/

* Mon Oct 15 2001 Masaru Sato <masachan@kondara.org>
- add url tag

* Mon Feb  5 2001 WATABE Toyokazu <toy2@kondara.org>
- (1.4-20k)
- fix format string bugs.
- use macros.

* Thu Oct 26 2000 Takaaki Tabuchi <tab@kondara.org>
- (1.4-17k)
- change man&info compress command gzip to bzip2

* Wed Jul 05 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.

* Mon Nov 8 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Fri Oct 29 1999 Norihito Ohmori <nono@kondara.org>
- add defattr

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 12)

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- build against glibc 2.1

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Apr 10 1998 Cristian Gafton <gafton@redhat.com>
- Manhattan build

* Wed Oct 21 1997 Cristian Gafton <gafton@redhat.com>
- added info file handling and BuildRoot

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc

